org.apache.solr.highlight

## Class HighlightingPluginBase

- java.lang.Object
- - org.apache.solr.highlight.HighlightingPluginBase

- All Implemented Interfaces:
    SolrInfoMBean
  Direct Known Subclasses:
    DefaultEncoder, GapFragmenter, HtmlEncoder, HtmlFormatter, RegexFragmenter, SimpleFragListBuilder, SingleFragListBuilder, SolrBoundaryScanner, SolrFragmentsBuilder, WeightedFragListBuilder

      public abstract class HighlightingPluginBase
      extends Object
      implements SolrInfoMBean

  Since:
    solr 1.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SolrParams` | `defaults`
    `protected long` | `numRequests`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HighlightingPluginBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SolrInfoMBean.Category` | `getCategory()` Purpose of this Class
    `abstract String` | `getDescription()` Simple one or two line description
    `URL[]` | `getDocs()` Documentation URL list.
    `String` | `getName()` Simple common usage name, e.g.
    `String` | `getSource()` CVS Source, SVN Source, etc
    `NamedList` | `getStatistics()` Any statistics this instance would like to be publicly available via the Solr Administration interface.
    `String` | `getVersion()` Simple common usage version, e.g.
    `void` | `init(NamedList args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### numRequests

          protected long numRequests

    - #### defaults

          protected SolrParams defaults

  - ### Constructor Detail

    - #### HighlightingPluginBase

          public HighlightingPluginBase()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

    - #### getName

          public String getName()

      Description copied from interface: `SolrInfoMBean`
      Simple common usage name, e.g. BasicQueryHandler, or fully qualified clas name.
      Specified by:
        `getName` in interface `SolrInfoMBean`

    - #### getDescription

          public abstract String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`

    - #### getSource

          public String getSource()

      Description copied from interface: `SolrInfoMBean`
      CVS Source, SVN Source, etc
      Specified by:
        `getSource` in interface `SolrInfoMBean`

    - #### getVersion

          public String getVersion()

      Description copied from interface: `SolrInfoMBean`
      Simple common usage version, e.g. 2.0
      Specified by:
        `getVersion` in interface `SolrInfoMBean`

    - #### getCategory

          public SolrInfoMBean.Category getCategory()

      Description copied from interface: `SolrInfoMBean`
      Purpose of this Class
      Specified by:
        `getCategory` in interface `SolrInfoMBean`

    - #### getDocs

          public URL[] getDocs()

      Description copied from interface: `SolrInfoMBean`
      Documentation URL list.

      Suggested documentation URLs: Homepage for sponsoring project, FAQ on class usage, Design doc for class, Wiki, bug reporting URL, etc...

      Specified by:
        `getDocs` in interface `SolrInfoMBean`

    - #### getStatistics

          public NamedList getStatistics()

      Description copied from interface: `SolrInfoMBean`
      Any statistics this instance would like to be publicly available via the Solr Administration interface.

      Any Object type may be stored in the list, but only the `toString()` representation will be used.

      Specified by:
        `getStatistics` in interface `SolrInfoMBean`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.